"""
  N2 + H2 <=> NH3.
  W Wikipedii -
p, MPa:           0.1 10 20 30 60 100
ob. dolq NH3, %:  0.4 26 36 46 66  80
. U nas: pri 1 i 100 atm = 0.1 i 10 MPa - 0.0043 i 0.2477; 
pri dalxnej[. roste 'p' -> otklon. za s`. neideal-sti gaza.
"""
print 'Pered import w golown. prog.'
from scipy.optimize import fmin
from mini7 import fmin_s
from sostaw_ import *
print 'Posle import w golown. prog.'

# --------

ishodn=['N2','H2']
n_ishodn0={'N2':1., 'H2':3.}
reakcii=[
 ([(1,'N2'), (3,'H2')], [(2,'NH3')]),
]
T_=(400.,'oC')
p=100.  # 1.  # atm
arg0=[0.2]  # Stepeni protek. reakcij dlq na`. pribl.

# --------

initio(ishodn,n_ishodn0,reakcii, T_=T_, p_atm=p)
f1=init_f1()

for i in range(1,10):
 q1=0.1*i
 F,G=calc_FG([q1])
 # print 'F,G=',F,G
 nn=get_nn(); 
 y=get_y()
 s=' '+str((list([q1]),nn,y))+','
 f1.write(s+'\n')
 # show_sostaw()

fmin_=fmin
resu=fmin_(functi, arg0, args=(), xtol=1e-6, maxiter=1000)
nn=get_nn(); y=get_y()
s=' '+str((list(resu),nn,y))+','
f1.write(s+'\n')
dolq_NH3=nn[2]/(nn[0]+nn[1]+nn[2])
s=' # dolq_NH3='+str(dolq_NH3)
f1.write(s+'\n')

fmin_=fmin_s
resu=fmin_(functi, arg0, args=(), xtol=1e-6, maxiter=1000)
nn=get_nn(); y=get_y()
s=' '+str((list(resu),nn,y))+','
f1.write(s+'\n')
dolq_NH3=nn[2]/(nn[0]+nn[1]+nn[2])
s=' # dolq_NH3='+str(dolq_NH3)
f1.write(s+'\n')

fini_f1()
