"""
  Dlq NO2 - nahovdenie sostawa i ob'@ma molq pri 20oC i 1 atm.
"""
print 'Pered import w golown. prog.'
from scipy.optimize import fmin
from mini7 import fmin_s
from sostaw_ import *
print 'Posle import w golown. prog.'

# --------

ishodn=['N2O4']
n_ishodn0={'N2O4':1.}
reakcii=[
 ([(1,'N2O4')], [(2,'NO2')]),
]
T_=(20.,'oC')
p=1.  # W atm.
arg0=[0.2]  # Stepeni protek. reakcij dlq na`. pribl.

# --------

initio(ishodn,n_ishodn0,reakcii, T_=T_, p_atm=p)
f1=init_f1()

for i in range(1,10):
 q1=0.1*i
 F,G=calc_FG([q1])
 print 'F,G=',F,G
 nn=get_nn(); 
 y=get_y()
 s=' '+str((list([q1]),nn,y))+','
 f1.write(s+'\n')
 show_sostaw()

fmin_=fmin
resu=fmin_(functi, arg0, args=(), xtol=1e-6, maxiter=1000)
nn=get_nn(); y=get_y()
s=' '+str((list(resu),nn,y))+','
f1.write(s+'\n')

fmin_=fmin_s
resu=fmin_(functi, arg0, args=(), xtol=1e-6, maxiter=1000)
nn=get_nn(); y=get_y()
s=' '+str((list(resu),nn,y))+','
f1.write(s+'\n')

fini_f1()
