"""
  Podprog. dlq popytok ras`@ta sostawa smesi 
minimizaciej G kak f-cii ko\f-tow pri reakciqh.
"""
print 'Pered import w sostaw_.py .'
from thermopy import nasa9polynomials as nasa9
from math import log
print 'Posle import w sostaw_.py .'

print 'Pered wwodom bazy.'
db = nasa9.Database()
print 'Posle wwoda bazy.'

otlad=False

R= 8.314472  # Dv/(molx*grad)
atm=1e5  # 101325.
# atm=101325.
# p == p_atm = p_Pa/atm ,
# V_l == V_m3*1e3 .
T_,T,p,V_m3 = None,None,None,None
n_w_gaze=None
Sum_F,Sum_G=None,None

def show_orig():
 print '--------\\'
 try:    print 'p_atm=%4.2f' % (p,)
 except: print 'p_atm=%s' % (p,)   
 try:    print 'V_l=%4.2f' % (V_m3*1e3,)
 except: print 'V_l=%s' % (V_m3,)   
 print 'T_K,T_oC=(%7.2f, %7.2f)' % (T,T-273.15)
 for i in range(len(alle)):
  soed=alle[i]
  n=nn0[i]
  gaz=gazoobr[i]
  H,S,G=HSG[i]
  s='%-8s %6.2f %-5s / %10.2f %8.2f %10.2f / ' % (soed,n,gaz,H,S,G)
  for rea in reakcii:
   s+=('%2d ' % (rea[i]))
  print s
  T_=(H-G)/S
  assert abs(T_-T)/T<1e-5
 print '--------/'

def show_sostaw():
 print '--------\\'
 print 'alle=',alle
 print 'nn=',nn
 recalc_p_V()
 print 'n_w_gaze=',n_w_gaze
 print 'T_K,T_oC=(%7.2f, %7.2f)' % (T,T-273.15)
 try:    print 'p_atm=%4.2f' % (p,)
 except: print 'p_atm=%s' % (p,)   
 try:    print 'V_l=%4.2f' % (V_m3*1e3,)
 except: print 'V_l=%s' % (V_m3,)   
 print '--------/'

def set_T(T_e):
 global T_,T
 T_=T_e
 T,edcy=T_; T=float(T)
 if edcy=='oC': T+=273.15

def set_p(p_atm):
 global p
 p=p_atm

def set_V(V_l):
 global V_m3
 V_m3=V_l*1e-3

def recalc_p_V():
 "pV=nRT; T=273.15 i atm=101325. -> 22.4 l."
 global p,V_m3
 calc_n_w_gaze()

 print 'recalc_p_V: -> n_w_gaze=',n_w_gaze
 print 'eq_const=',eq_const

 if eq_const=='V':
  p = n_w_gaze*R*T/V_m3/atm
  print '-> p=',p

 if eq_const=='p':
  V_m3 = n_w_gaze*R*T/(p*atm)
  print '-> V_m3=',V_m3
 V_l = V_m3*1e3
 return(p,V_l) 

def zad_TpV(T_=(25., 'oC'), p_atm=None, V_l=None):
 set_T(T_)
 if p_atm: set_p(p_atm)
 if V_l: set_V(V_l)
 print 'T,p,V_m3=',T,p,V_m3

def initio(ishodn_e,n_ishodn0_e,reakcii_e, 
  T_=(25., 'oC'), p_atm=None, V_l=None):
 """
 Primer:
 ishodn=['C(gr)', 'H2O']  # Dlq udobnogo porqdka wywoda.
 n_ishodn0={'C(gr)':1., 'H2O':2.} # Sostaw ishodn. smesi w molqh.
 reakcii=[
  ([(1,'C(gr)'), (1,'H2O')], [(1,'CO'), (1,'H2')]),
 ]
 T_=(1000.,'oC')
 p_atm=1.
 """        
 global ishodn,n_ishodn0,reakcii_,eq_const
 global alle,nn0,nn,gazoobr,HSG,reakcii
 n=0
 if p_atm==None: n+=1; eq_const='V'
 if V_l==None:   n+=1; eq_const='p'
 assert n==1
 zad_TpV(T_,p_atm,V_l)
 ishodn=ishodn_e
 n_ishodn0=n_ishodn0_e
 reakcii_ = reakcii_e     
 # ----
 alle=ishodn[:]
 for soed in n_ishodn0.keys(): assert soed in alle
 for isho,prod in reakcii_:
  ss=isho[:]; ss.extend(prod)
  for n,soed in ss:
   if not soed in alle: alle.append(soed)
 print 'alle=',alle
 # ----
 nn0,nn,gazoobr,HSG=[],[],[],[]
 for i in range(len(alle)):
  soed=alle[i]
  n=0.
  if soed in n_ishodn0: n=n_ishodn0[soed] 
  nn0.append(n)
  nn.append(n)
  comp = db.set_compound(soed)
  H=comp.enthalpy(T)
  S=comp.entropy(T)
  G=comp.gibbs_energy(T) 
  orig=comp.get_orig()
  s_cond=orig.find('condensed').text  # 'True'
  cond=eval(s_cond); gaz=not cond
  HSG.append((H,S,G))
  gazoobr.append(gaz)
 # ----
 reakcii=[]
 for isho,prod in reakcii_:
  rea=map(lambda x:0, alle)
  for n,soed in isho: i=alle.index(soed); assert rea[i]==0; rea[i]=-n
  for n,soed in prod: i=alle.index(soed); assert rea[i]==0; rea[i]=n
  reakcii.append(rea)
 # ----
 show_orig()
 # ----
 show_sostaw()

def test_nn():
 """
 Prower., `to `isla molej wseh we]estw >=0.
 Reag. tk. na n_i<0, t.k. dlq kondens. faz m.b. =0;
 slu`aj n_i=0 dlq gazow predp. proweritx tam, gde \to kriti`no. 
 """
 gut=True
 for i in range(len(alle)):
  if nn[i]<0: gut=False
 return(gut)

def recalc_nn(cc_rea):
 """
 Peres`@t `isla molej wseh we]-w iz izwestn.
 ko\f-tow pri reakciqh.
 """
 assert len(cc_rea)==len(reakcii)
 for i in range(len(alle)):
  nn[i]=nn0[i]
  for j in range(len(reakcii)):
   nn[i]+=cc_rea[j]*reakcii[j][i] 
 if otlad: print 'nn=',nn
 gut=test_nn()
 return(gut)

def calc_n_w_gaze():
 global n_w_gaze
 n_w_gaze=0.
 for i in range(len(alle)):
  print 'calc_n_w_gaze',i,gazoobr[i],nn[i]
  if not gazoobr[i]: continue
  n_w_gaze+=nn[i]
 print 'n_w_gaze=',n_w_gaze

def get_alle(): return(alle)
def get_nn(): return(nn)
def get_n_w_gaze(): return(n_w_gaze)
def get_F(): return(Sum_F)
def get_G(): return(Sum_G)

def get_y():
 if eq_const=='p': return(Sum_G)
 else:             return(Sum_F)

def test_FG():
 "Ovid. G-F == n_w_gaze*R*T, no \to ne tak !!!"
 razn=Sum_G-Sum_F
 n = razn/(R*T)
 try:
  assert abs(n-n_w_gaze)<1e-3
 except:
  print 'test_FG:',n_w_gaze,n,'!!!'
  # raise

def calc_FG(cc_rea):
 """
 nn - spisok - `isla molej soed-nij.
 """
 global n_w_gaze,Sum_F,Sum_G
 gut=recalc_nn(cc_rea)
 # print 'calc_FG: nn=',nn
 if not gut: return(None,None)
 recalc_p_V()
 # print 'calc_FG: T,p,V_m3=',T,p,V_m3
 Sum_F,Sum_G=0.,0.
 for i in range(len(alle)):
  # print '-'*4
  soed=alle[i]
  # print i,soed
  H,S,G=HSG[i]
  if not gazoobr[i]: 
   U = H
  else:  # gazoobr.
   if nn[i]==0.: print soed,'-> p_i=0 !!!'; return(None)
   U = H - R*T

   p_i_ = nn[i]*R*T/V_m3/atm
   p_i = p*nn[i]/n_w_gaze
   print 'p_i_,p_i=',p_i_,p_i
   S = S - R*log(p_i)
  F = U - T*S
  G = H - T*S
  Sum_F += nn[i]*F  
  Sum_G += nn[i]*G 
 test_FG() 
 return(Sum_F,Sum_G) 

def init_f1():
 global f1
 f1=open('tempor.py','ab')
 f1.seek(0,2) # K koncu fajla.
 pos=f1.tell()
 # print 'init_f1: pos=',pos
 if pos==0:
  f1.write('dann=[]\n')
 f1.write('# --------\n')
 f1.write('ishodn='+str(ishodn)+'\n')
 f1.write('n_ishodn0='+str(n_ishodn0)+'\n')
 f1.write('reakcii_=[\n')
 for rea in reakcii_:
  f1.write(' '+str(rea)+',\n')
 f1.write(']\n')
 f1.write('T_='+str(T_)+'\n')
 f1.write('T,T_oC='+str((T,T-273.15))+'\n')
 p_atm,V_l = recalc_p_V()
 f1.write('p_atm,V_l='+str((p_atm,V_l))+'\n')
 f1.write('alle='+str(alle)+'\n')
 f1.write('nn0='+str(nn0)+'\n')
 f1.write('q_G=[\n')
 f1.flush()
 return(f1)

def fini_f1():
 f1.write(']\n')
 p_atm,V_l = recalc_p_V()
 f1.write('p_atm_,V_l_='+str((p_atm,V_l))+'\n')
 f1.write('dann.append((T_oC,p_atm,V_l,q_G))\n\n')
 f1.close()

def functi(arg):
 """
 Dlq wstawki otl. pe`ati i dlq None -> 1e12.
 Movno pereopr. w wyz-]ej prog-me.
 """
 # print 'functi: arg=',arg
 calc_FG(arg)
 y=get_y()
 print 'functi: arg,y=',arg,y
 if y==None: y=1e12
 return(y)

# --------

if __name__=='__main__':
 ss=dir()
 for s in ss: print s
